List marketplace demo publish access records
List marketplace demo publish access records. Air administrators and SREs see all records; others see only records from their organization.
Required scopes (any one):
air:marketplace_demo_write(roles:air_demo_manager,air_org_admin,air_user)air:marketplace_demo_publish(roles:air_demo_manager)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
limit
Number of results to return per page.
marketplace_demo
Filter publish access records for a specific marketplace demo.
offset
The initial index from which to return the results.
ordering
Order objects by field. Prefix with - for descending order.
publicly_published
Filter by public vs restricted visibility (for approved requests).
requested_by_email
Filter by requester email (case-insensitive).
requesting_org_display_name
Filter by requesting organization display name (case-insensitive).
requesting_org_ngc_org_name
Filter by requesting organization NGC name (case-insensitive).
search
Search by marketplace_demo_name, justification, allowed_orgs_request_text, requested_by_email, requesting_org_ngc_org_name, or requesting_org_display_name.
status
Filter by request status.
PENDING- PendingAPPROVED- ApprovedDENIED- DeniedREMOVED- RemovedCANCELLED- CancelledPENDING_ELEVATION- Pending ElevationPENDING_RESTRICTION- Pending RestrictionPENDING_UNPUBLISH- Pending UnpublishPENDING_ALLOWLIST- Pending Allow List ChangeAPPROVED_PENDING_IMAGE_PUBLISH- Approved Pending Image Publish
Response
count
results
next
previous
Errors
400
Bad Request Error
403
Forbidden Error
500
Internal Server Error